[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.SelectPalette

Selects a logical palette into an device context.

## Declaration

Source position: winapih.inc line 236

`public function TWidgetSet.SelectPalette(`
`DC: HDC;`
`Palette: HPALETTE;`
`ForceBackground: Boolean`
`):HPALETTE; virtual;`

## Arguments

`DC` |  | The device context.
`Palette` |  | The palette to select.
`ForceBackground` |  | True to select the background palette.

## Function result

The handle of the previously selected palette.

## Description

A foreground palette becomes the palette for the device when the application is in the foreground. A background palette instead is mapped to the closest colors in the palette for the physical device.